summaryrefslogtreecommitdiffstats
path: root/src/oh-installfiles.sh
diff options
context:
space:
mode:
authorP. J. McDermott <pjm@nac.net>2012-04-09 21:38:37 (EDT)
committer P. J. McDermott <pjm@nac.net>2012-04-09 21:38:37 (EDT)
commit84c196ed20254587dcb50212b37977963425c019 (patch)
treea3ae133d5fafcf6eb48bb266d4e4635e96396281 /src/oh-installfiles.sh
parentd26e9ef9c6a7942e4dc9f9decd264bb4d3231837 (diff)
Really support path patterns in oh-installfiles.
Diffstat (limited to 'src/oh-installfiles.sh')
-rw-r--r--src/oh-installfiles.sh16
1 files changed, 9 insertions, 7 deletions
diff --git a/src/oh-installfiles.sh b/src/oh-installfiles.sh
index ca52025..73a27a4 100644
--- a/src/oh-installfiles.sh
+++ b/src/oh-installfiles.sh
@@ -44,13 +44,15 @@ while [ ${#} -gt 0 ]; do
# Loop over lines in the 'install' file.
while read -r pattern; do
- # Ensure that the full directory path of the pattern exists in the
- # package staging area.
- pattern_dir=$(dirname ${pattern})
- mkdir -p ${1}.data/${pattern_dir} || exit 1
- # Move any matching files from the installation destination to the
- # package staging area.
- mv dest/${pattern} ${1}.data/${pattern_dir} || exit 1
+ for file in ${pattern}; do
+ # Ensure that the full directory path of the pattern exists in the
+ # package staging area.
+ dir=$(dirname ${file})
+ mkdir -p ${1}.data/${dir} || exit 1
+ # Move any matching files from the installation destination to the
+ # package staging area.
+ mv dest/${file} ${1}.data/${dir} || exit 1
+ done
done < ../${1}.pkg/install
shift
done